[lapis-ebuild commit] r137 - trunk/portage/app-text/zpspell

0 views
Skip to first unread message

codesite...@google.com

unread,
Jul 6, 2008, 4:40:01 PM7/6/08
to lapis_ebu...@googlegroups.com
Author: serkankaba
Date: Sun Jul 6 13:39:25 2008
New Revision: 137

Added:
trunk/portage/app-text/zpspell/zpspell-0.4.1.ebuild
- copied, changed from r134, /trunk/portage/app-text/zpspell/zpspell-0.4-r1.ebuild
Removed:
trunk/portage/app-text/zpspell/zpspell-0.4-r1.ebuild
Modified:
trunk/portage/app-text/zpspell/Manifest

Log:
zpspell güncellendi

Modified: trunk/portage/app-text/zpspell/Manifest
==============================================================================
--- trunk/portage/app-text/zpspell/Manifest (original)
+++ trunk/portage/app-text/zpspell/Manifest Sun Jul 6 13:39:25 2008
@@ -1,2 +1,2 @@
-DIST zpspell-0.4.tar.bz2 10340 RMD160 33f7155fb8aa382e7f927dbadc7604e0b3d646da SHA1 a5d85a7f1ae09c2dbe23ad98a3ff3089620e7824 SHA256 df309b09f95d18ae247b12a91c1e7a06d071aad5ea848a3439498afd42a6fa89
-EBUILD zpspell-0.4-r1.ebuild 657 RMD160 b1ca17ee9453ac789a97c9f5c05c70e109b0019f SHA1 7523a663a469bcedf887158bb3f89b02d5fccacb SHA256 c14c741da5415c0d8cbd62d19a719e35a8c34e53cb714fcd58d2a55ad090eff0
+DIST zpspell-0.4.1.tar.bz2 10408 RMD160 6634f674df13d0b17564a982927523872f4afdc0 SHA1 91a52fa492c49697331748627e88ef068380a488 SHA256 b87e1b7c4f43af40cc90e05bef2f4f680e849f1f156167d93284281c9226a196
+EBUILD zpspell-0.4.1.ebuild 496 RMD160 f4561107a7ca0665e9cfe13fac3c3bc7b9e91713 SHA1 f7cc3b0cbcf3c433293d4fabcef92eb4ccee5e65 SHA256 7111ceb02d7bd9e00a289d8fbf4db2987f7b242a8d244a62bdd0662a10df2a7b

Copied: trunk/portage/app-text/zpspell/zpspell-0.4.1.ebuild (from r134, /trunk/portage/app-text/zpspell/zpspell-0.4-r1.ebuild)
==============================================================================
--- /trunk/portage/app-text/zpspell/zpspell-0.4-r1.ebuild (original)
+++ trunk/portage/app-text/zpspell/zpspell-0.4.1.ebuild Sun Jul 6 13:39:25 2008
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $

-inherit eutils toolchain-funcs
+inherit cmake-utils

DESCRIPTION="Zemberek-Pardus spell checker interface."
HOMEPAGE="http://www.pardus.org.tr/projeler/masaustu/zemberek-pardus"
@@ -10,21 +10,12 @@

LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~x86"
+KEYWORDS="~amd64"
IUSE=""

-DEPEND="dev-util/cmake"
-RDEPEND=">app-text/zemberek-server-0.6"
-
-src_compile() {
- cmake \
- -DCMAKE_INSTALL_PREFIX=/usr \
- -DCMAKE_C_COMPILER=$(which $(tc-getCC))
- .
- emake
-}
+RDEPEND="app-text/zemberek-server"

src_install() {
- emake DESTDIR="${D}" PREFIX=/usr install
- dodoc AUTHORS README
+ cmake-utils_src_install
+ dodoc AUTHORS README || die
}

Reply all
Reply to author
Forward
0 new messages